CREATE OR REPLACE PACKAGE trainingmgr.xx_plan_app
------------------------------------------------------------------
--
-- $Revision:   1.0  $
-- $Header:   //norton_samba/pvcsdb/pvcsdata/pvcsdb01/archives/Training/Training Example Code/XX_PLANNING_APPLICATION.pks-arc   1.0   Jul 12 2012 14:56:24   tarthey  $
--
------------------------------------------------------------------
IS

  -- Create planning application type
  FUNCTION create_application_type (
    p_title xx_plan_app_types.title%TYPE
  , p_price xx_plan_app_types.price%TYPE
  , p_description xx_plan_app_types.description%TYPE
  )
  RETURN xx_plan_app_types.id%TYPE;
  
  -- Create planning application reference from application id.
  FUNCTION create_application_reference (
    p_application_id xx_plan_apps.id%TYPE
  ) 
  RETURN xx_plan_apps.application_reference%TYPE;
  
  FUNCTION create_new_application (
    p_application_type_id xx_plan_app_types.id%TYPE
  ) 
  RETURN xx_plan_apps.id%TYPE;
  
  FUNCTION update_application_data (
    p_application_id xx_plan_apps.id%TYPE
  , p_xml_data xx_plan_app_details.xml_data%TYPE
  )
  RETURN xx_plan_app_details.id%TYPE;

END xx_plan_app;
/
